Skip to content

bots.botMemory

GET
/v1/bots/{botId}/memory
curl --request GET \
--url https://example.com/v1/bots/example/memory \
--header 'Authorization: Bearer <token>'

Reads the entries of the Bot memory that the caller may see: entries for the caller, for a Channel group that the caller is in, or for everyone who uses the Bot, in the organization of the caller. Nobody can read the memory about another person.

botId
required
string
>= 1 characters <= 128 characters
tags
string
>= 1 characters

Success

Media typeapplication/json
object
entries
required
Array<object>
object
id
required
string
layer
required
string
Allowed values: fact observation pinned
content
required
string
>= 1 characters
tags
required
Array<string>
sources
required
Array
Any of:
object
session
required
string
item
required
string
confidence
number
status
required
string
Allowed values: active retracted
createdAt
required
number
updatedAt
required
number
invalidatedAt
number
version
required
integer
<= 9007199254740991

Example

{
"entries": [
{
"layer": "fact",
"status": "active"
}
]
}

BotInvalid | OrganizationRequired

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: BotInvalid
message
required
string

Example

{
"_tag": "BotInvalid"
}

AuthenticationRequired

Media typeapplication/json
object
_tag
required
string
Allowed values: AuthenticationRequired

Example

{
"_tag": "AuthenticationRequired"
}

PermissionDenied | MembershipRequired | ForbiddenOrigin

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: PermissionDenied
permission
required
string
Allowed values: responses.run sessions.read sessions.write requests.resolve bots.read bots.write bots.delegate bots.share triggers.read triggers.write channels.read channels.write channels.use channel_identities.read channel_identities.write connections.read connections.write apps.use apps.publish computers.read computers.write computers.use computer_providers.read computer_providers.write computer_providers.use models.use tokens.read tokens.write organization.read organization.write roles.write model_providers.read model_providers.write sso.read sso.write platform.read platform.write members.read members.write audit_logs.read usage.read budgets.read budgets.write
resource
required
string

Example

{
"_tag": "PermissionDenied",
"permission": "responses.run"
}

BotNotFound

Media typeapplication/json
object
_tag
required
string
Allowed values: BotNotFound
bot
required
string

Example

{
"_tag": "BotNotFound"
}

BotConflict

Media typeapplication/json
object
_tag
required
string
Allowed values: BotConflict
message
required
string

Example

{
"_tag": "BotConflict"
}

RateLimited

Media typeapplication/json
object
_tag
required
string
Allowed values: RateLimited
retryAfterSeconds
required
integer
>= -9007199254740991 <= 9007199254740991

Example

{
"_tag": "RateLimited"
}

AuthorizationUnavailable | BotStorageUnavailable | AuthenticationUnavailable

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: AuthorizationUnavailable

Example

{
"_tag": "AuthorizationUnavailable"
}